DocumentationContext (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.documentation

## [Groovy] Class DocumentationContext

- org.codehaus.groovy.grails.documentation.DocumentationContext

- Gathers information about the behavior a plugin adds at runtime.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `artefactType`
    `java.lang.String` | `currentDocumentation`
    `java.util.List<DocumentedMethod>` | `methods`
    `java.util.List<DocumentedProperty>` | `properties`
    `java.util.List<DocumentedMethod>` | `staticMethods`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DocumentationContext` | `document(java.lang.String doc)` Stores documentation for the next method or property to be added
    `DocumentationContext` | `documentMethod(java.lang.String artefact, java.lang.Class type, java.lang.String name, java.lang.Class<?>[] arguments)` Documents an instance method
    `DocumentationContext` | `documentProperty(java.lang.String artefact, java.lang.Class type, java.lang.String name)` Documents a property
    `DocumentationContext` | `documentStaticMethod(java.lang.String artefact, java.lang.Class type, java.lang.String name, java.lang.Class<?>[] arguments)` Documents a static method
    `static DocumentationContext` | `getInstance()`
    `boolean` | `hasMetadata()`
    `boolean` | `isActive()`
    `void` | `reset()`
    `void` | `setActive(boolean b)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.String artefactType

    - #### java.lang.String currentDocumentation

    - #### java.util.List<DocumentedMethod> methods

    - #### java.util.List<DocumentedProperty> properties

    - #### java.util.List<DocumentedMethod> staticMethods

  - ### Method Detail

    - #### DocumentationContext document(java.lang.String doc)

      Stores documentation for the next method or property to be added

    - #### @java.lang.SuppressWarnings("rawtypes") DocumentationContext documentMethod(java.lang.String artefact, java.lang.Class type, java.lang.String name, java.lang.Class<?>[] arguments)

      Documents an instance method

    - #### DocumentationContext documentProperty(java.lang.String artefact, java.lang.Class type, java.lang.String name)

      Documents a property

    - #### @java.lang.SuppressWarnings("rawtypes") DocumentationContext documentStaticMethod(java.lang.String artefact, java.lang.Class type, java.lang.String name, java.lang.Class<?>[] arguments)

      Documents a static method

    - #### static DocumentationContext getInstance()

    - #### boolean hasMetadata()

    - #### boolean isActive()

    - #### void reset()

    - #### void setActive(boolean b)